EDIT - bug #7500

Can’t open both related accepted taxa of reused MAN
06/19/2018 04:28 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.3

Severity: critical Found in Version:

Description

In E+M we do have the misapplied taxon "Hedysarum confertum sec. Greuter & al." (uuid=
fd76aalc-f4ca-484e-ab2c-9bcb03d9448e).

This is a MAN for both

® Hedysarum boveanum Basiner subsp. boveanum and
e Hedysarum boveanum subsp. europaeum Guitt. & Kerguélen

When searching for Hedysarum confertum and opening "Hedysarum confertum sec. Greuter & al." from search result one gets a
dialog to choose the classification:

ED Klassifiaktion wahlen == -

Das Taxon ist in mehreren Klassifikationen verhanden. Bitte wihlen sie, welche sie affnen machten.

Euro+Med 2018
Euro+Med 2018

QK | | Cancel

The problem here is, that the misapplied name belongs to 2 taxa which both belong to the same classification. Therefore the
selection does not work but offers the same result for both options.

Solution: probably this can be fixed by offering not a classification selection dialog but an accepted taxon (or a taxon node) selection
dialog for misapplied names (and pro parte/partial synonyms).

Related issues:
Related to EDIT - bug #7499: NPE when trying to open a taxon which belongs to... Closed

Associated revisions

Revision c5cfeefd - 08/28/2018 02:31 PM - Katja Luther

fix #7500: for misapplied names related to different taxa use chooseAcceptedTaxonDialog

Revision f572c5c¢1 - 09/06/2018 12:30 PM - Katja Luther

fix #7500: adapt chooseAcceptedTaxon dialog also for taxa used as taxon and misapplication/proparte synonym

Revision abdfa142 - 09/07/2018 11:10 AM - Katja Luther
fix #7500: correct handling of MAN when opening in nameEditor

Revision 291b6f3 - 09/07/2018 01:19 PM - Andreas Miiller

ref #7500 adapt text for selection message

History

#1 - 06/19/2018 04:28 PM - Andreas Miiller
- Related to bug #7499: NPE when trying to open a taxon which belongs to 2 taxon nodes and cancel added

#2 - 06/28/2018 12:09 AM - Andreas Mdller

- Target version changed from Release 5.1 to Release 5.2

#3 - 08/17/2018 03:53 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#4 - 08/28/2018 01:43 PM - Katja Luther

- Status changed from New to In Progress

#5 - 08/28/2018 02:31 PM - Katja Luther
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|c5cfeefde69828735b910d91075f0d7bdb42464f.

#6 - 08/29/2018 01:51 PM - Andreas Miiller

Should | already review this ticket?

#7 - 09/06/2018 11:47 AM - Andreas Miiller
22

#8 - 09/06/2018 12:30 PM - Katja Luther

now the chooseAcceptedTaxon dialog also used if a taxon is used as MAN and accepted taxon

#9 - 09/06/2018 12:30 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#10 - 09/07/2018 10:30 AM - Andreas Miiller

- File picture898-1.png added

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

- Severity changed from normal to critical

Now, when trying to open the MANs in a Nameeditor | always get

ED Ungiiltiger Zustand -

Das akzeptierte Taxon ist in keiner Klassifikation verhanden, Editieren mit dem
l % MNamens-Editor ist noch nicht implementiert. Benutzen Sie den Bulk-Editor.

Maybe | am wrong but also from this ticket description and from what | remember it should be possible to open MAN in name Editor by opening the
taxon it is @ MAN for. This is now not possible anymore which is critical.
Is this related to the changes in this ticket?

#11 - 09/07/2018 11:10 AM - Katja Luther

- Status changed from Feedback to Resolved

Applied in changeset taxeditor|a5dfa142a6e4540690c1b4c7f7ed3eaf176272c8.

#12 - 09/07/2018 11:13 AM - Katja Luther

- Status changed from Resolved to Feedback

Andreas Muller wrote:
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/c5cfeefde69828735b910d91075f0d7bdb42464f
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/a5dfa142a6e4540690c1b4c7f7ed3eaf176272c8

Now, when trying to open the MANs in a Nameeditor | always get

£D Ungultiger Zustand .

Das akzeptierte Taxon ist in keiner Klassifikation vorhanden. Editieren mit dem
l . MNamens-Editor ist noch nicht implementiert. Benutzen Sie den Bulk-Editor.

Maybe | am wrong but also from this ticket description and from what | remember it should be possible to open MAN in name Editor by opening
the taxon it is a MAN for. This is now not possible anymore which is critical.
Is this related to the changes in this ticket?

there was a condition too much, now it should work.

#13 - 09/07/2018 11:13 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

#14 - 09/07/2018 01:22 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

I slightly changed the text of the selection dialog. Can you pleas check if this is ok.

| think it should appear only if at least 2 taxa/nodes are involved so "one or more" is not correct and too long.
In general it seems to work now and can be closed.

#15 - 09/07/2018 01:33 PM - Katja Luther
- Status changed from Feedback to Closed

#16 - 09/07/2018 01:33 PM - Katja Luther
- % Done changed from 50 to 100

Files
picture34-1.png 5.66 KB 06/19/2018 Andreas Muller
picture898-1.png 6.36 KB 09/07/2018 Andreas Miller
